##cron setting for laravel https://laravel.com/docs/5.8/scheduling

FROM php:7.3-cli-alpine

RUN docker-php-ext-install mysqli pdo pdo_mysql

COPY ./inc/php.ini /usr/local/etc/php.ini

RUN touch crontab.tmp \
    && echo '* * * * * cd /var/www/ && php artisan schedule:run >> /dev/null 2>&1' > crontab.tmp \
    && crontab crontab.tmp \
    && rm -rf crontab.tmp

CMD ["/usr/sbin/crond", "-f", "-d", "0"]